import { html as n } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as g } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, m = Object.getOwnPropertyDescriptor, p = (a, r, i, l) => {
  for (var e = l > 1 ? void 0 : l ? m(r, i) : r, o = a.length - 1, s; o >= 0; o--)
    (s = a[o]) && (e = (l ? s(r, i, e) : s(e)) || e);
  return l && e && f(r, i, e), e;
};
let t = class extends g {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--bagFilledLarge", this.class = "c-pieIcon c-pieIcon--bagFilledLarge", this.name = "IconBagFilledLarge";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--bagFilledLarge"><path fill-rule="evenodd" d="m21.644 9.779 3.911-.018v-.008l1.409 16.528a2.603 2.603 0 0 1-.683 1.995 2.663 2.663 0 0 1-1.933.84H7.643a2.622 2.622 0 0 1-2.616-2.809L6.253 9.823l4.112-.018v-5.18l1.75-1.75h7.779l1.75 1.75v5.154Zm-1.759-5.154h-7.779v5.171l7.779-.026V4.625Zm-2.144 21.079-.157-1.75h5.696l.157 1.75h-5.696Z" clip-rule="evenodd"></path></svg>`;
  }
};
p([
  c({ type: String, reflect: !0 })
], t.prototype, "size", 2);
p([
  c({ type: String, reflect: !0 })
], t.prototype, "class", 2);
t = p([
  h("icon-bag-filled-large")
], t);
export {
  t as IconBagFilledLarge
};
